"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runesToLetters = exports.lettersToRunes = void 0;
const letter_mapping_1 = require("./mappings/letter-mapping");
const rune_mapping_1 = require("./mappings/rune-mapping");
const transform = (content, dictionary) => {
    let result = '';
    const parts = content.split('');
    parts.forEach((part) => {
        const partKey = part.toLocaleLowerCase();
        if (dictionary.has(partKey)) {
            result += dictionary.get(partKey);
        }
        else {
            result += part;
        }
    });
    return result;
};
const lettersToRunes = (content) => {
    const letterMapping = (0, letter_mapping_1.getLetterMapping)();
    const result = transform(content, letterMapping);
    return result;
};
exports.lettersToRunes = lettersToRunes;
const runesToLetters = (content) => {
    const runeMapping = (0, rune_mapping_1.getRuneMapping)();
    const result = transform(content, runeMapping);
    return result;
};
exports.runesToLetters = runesToLetters;
exports.default = {
    getLetterMapping: letter_mapping_1.getLetterMapping,
    getRuneMapping: rune_mapping_1.getRuneMapping,
    lettersToRunes: exports.lettersToRunes,
    runesToLetters: exports.runesToLetters,
};
//# sourceMappingURL=index.js.map